package com.ynstkz.shitu.android.base;

import android.os.Bundle;
import android.os.PersistableBundle;
import android.view.View;

import com.ynstkz.shitu.android.helper.TitleBarHelper;

/**
 * 作者：fuchangle on 2018/1/27 22:25
 */

public abstract class TitleBarActivity extends BaseActivity{

    private TitleBarHelper titleBarHelper;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
    }

    @Override
    public void setContentView(int layoutResID) {
        titleBarHelper = new TitleBarHelper(this,layoutResID);
        titleBarHelper.setBarTitle(getBarTitle());
        titleBarHelper.getBackUpView().setOnClickListener(new BackUpListener());
        setContentView(titleBarHelper.getContentView());
    }

    /**
     *设置标题名称
     */
    protected abstract String getBarTitle();


    /**
     *返回监听
     */
    protected  class BackUpListener implements View.OnClickListener{
        @Override
        public void onClick(View v) {
            TitleBarActivity.this.finish();
        }
    }
}
